/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __BPERF_FOLLOWER_BPF_SKEL_H__
#define __BPERF_FOLLOWER_BPF_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct bperf_follower_bpf {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *diff_readings;
		struct bpf_map *accum_readings;
		struct bpf_map *filter;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *fexit_XXX;
	} progs;
	struct {
		struct bpf_link *fexit_XXX;
	} links;
	struct bperf_follower_bpf__bss {
		enum bperf_filter_type type;
		int enabled;
	} *bss;

#ifdef __cplusplus
	static inline struct bperf_follower_bpf *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct bperf_follower_bpf *open_and_load();
	static inline int load(struct bperf_follower_bpf *skel);
	static inline int attach(struct bperf_follower_bpf *skel);
	static inline void detach(struct bperf_follower_bpf *skel);
	static inline void destroy(struct bperf_follower_bpf *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
bperf_follower_bpf__destroy(struct bperf_follower_bpf *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
bperf_follower_bpf__create_skeleton(struct bperf_follower_bpf *obj);

static inline struct bperf_follower_bpf *
bperf_follower_bpf__open_opts(const struct bpf_object_open_opts *opts)
{
	struct bperf_follower_bpf *obj;
	int err;

	obj = (struct bperf_follower_bpf *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = bperf_follower_bpf__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	bperf_follower_bpf__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct bperf_follower_bpf *
bperf_follower_bpf__open(void)
{
	return bperf_follower_bpf__open_opts(NULL);
}

static inline int
bperf_follower_bpf__load(struct bperf_follower_bpf *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct bperf_follower_bpf *
bperf_follower_bpf__open_and_load(void)
{
	struct bperf_follower_bpf *obj;
	int err;

	obj = bperf_follower_bpf__open();
	if (!obj)
		return NULL;
	err = bperf_follower_bpf__load(obj);
	if (err) {
		bperf_follower_bpf__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
bperf_follower_bpf__attach(struct bperf_follower_bpf *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
bperf_follower_bpf__detach(struct bperf_follower_bpf *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *bperf_follower_bpf__elf_bytes(size_t *sz);

static inline int
bperf_follower_bpf__create_skeleton(struct bperf_follower_bpf *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "bperf_follower_bpf";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 4;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "diff_readings";
	map->map = &obj->maps.diff_readings;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "accum_readings";
	map->map = &obj->maps.accum_readings;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "filter";
	map->map = &obj->maps.filter;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 3 * s->map_skel_sz);
	map->name = "bperf_fo.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "fexit_XXX";
	s->progs[0].prog = &obj->progs.fexit_XXX;
	s->progs[0].link = &obj->links.fexit_XXX;

	s->data = bperf_follower_bpf__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *bperf_follower_bpf__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xc0\x1e\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x17\0\
\x01\0\xb7\x01\0\0\0\0\0\0\x63\x1a\xf8\xff\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x61\x11\0\0\0\0\0\0\x15\x01\x32\0\0\0\0\0\xbf\xa6\0\0\0\0\0\0\x07\x06\
\0\0\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\
\x65\x01\x05\0\x02\0\0\0\x15\x01\x13\0\x01\0\0\0\x15\x01\x01\0\x02\0\0\0\x05\0\
\x29\0\0\0\0\0\x85\0\0\0\x08\0\0\0\x05\0\x07\0\0\0\0\0\x15\x01\x05\0\x03\0\0\0\
\x15\x01\x01\0\x04\0\0\0\x05\0\x24\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x77\0\0\0\x20\
\0\0\0\x05\0\x01\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x63\x0a\xfc\xff\0\0\0\0\xbf\xa2\
\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x85\0\0\0\x01\0\0\0\xbf\x06\0\0\0\0\0\0\x15\x06\x18\0\0\0\0\0\xbf\xa2\0\0\0\0\
\0\0\x07\x02\0\0\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\
\x01\0\0\0\xbf\x07\0\0\0\0\0\0\x15\x07\x11\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xbf\x62\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x0c\0\0\0\0\0\x79\x71\
\0\0\0\0\0\0\x79\x02\0\0\0\0\0\0\x0f\x12\0\0\0\0\0\0\x7b\x20\0\0\0\0\0\0\x79\
\x01\x08\0\0\0\0\0\x79\x72\x08\0\0\0\0\0\x0f\x21\0\0\0\0\0\0\x7b\x10\x08\0\0\0\
\0\0\x79\x71\x10\0\0\0\0\0\x79\x02\x10\0\0\0\0\0\x0f\x12\0\0\0\0\0\0\x7b\x20\
\x10\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x44\x75\x61\x6c\x20\x42\x53\
\x44\x2f\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\0\0\0\0\0\0\0\xc0\x01\0\0\
\0\0\0\0\x01\0\x56\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x01\0\0\0\0\0\0\xc0\x01\
\0\0\0\0\0\0\x01\0\x57\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x01\0\0\0\0\0\0\xc0\
\x01\0\0\0\0\0\0\x01\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x11\x01\x25\x0e\
\x13\x05\x03\x0e\x10\x17\x1b\x0e\x11\x01\x12\x06\0\0\x02\x34\0\x03\x0e\x49\x13\
\x3f\x19\x3a\x0b\x3b\x0b\x02\x18\0\0\x03\x04\x01\x49\x13\x03\x0e\x0b\x0b\x3a\
\x0b\x3b\x0b\0\0\x04\x28\0\x03\x0e\x1c\x0f\0\0\x05\x24\0\x03\x0e\x3e\x0b\x0b\
\x0b\0\0\x06\x01\x01\x49\x13\0\0\x07\x21\0\x49\x13\x37\x0b\0\0\x08\x24\0\x03\
\x0e\x0b\x0b\x3e\x0b\0\0\x09\x13\x01\x0b\x0b\x3a\x0b\x3b\x0b\0\0\x0a\x0d\0\x03\
\x0e\x49\x13\x3a\x0b\x3b\x0b\x38\x0b\0\0\x0b\x0f\0\x49\x13\0\0\x0c\x34\0\x03\
\x0e\x49\x13\x3a\x0b\x3b\x0b\0\0\x0d\x26\0\x49\x13\0\0\x0e\x15\0\x49\x13\x27\
\x19\0\0\x0f\x16\0\x49\x13\x03\x0e\x3a\x0b\x3b\x0b\0\0\x10\x34\0\x03\x0e\x49\
\x13\x3a\x0b\x3b\x05\0\0\x11\x15\x01\x49\x13\x27\x19\0\0\x12\x05\0\x49\x13\0\0\
\x13\x0f\0\0\0\x14\x26\0\0\0\x15\x2e\x01\x03\x0e\x3a\x0b\x3b\x0b\x27\x19\x49\
\x13\x20\x0b\0\0\x16\x05\0\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x17\x34\0\x03\
\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x18\x0a\0\x03\x0e\x3a\x0b\x3b\x0b\0\0\x19\x13\
\x01\x03\x0e\x0b\x0b\x3a\x0b\x3b\x05\0\0\x1a\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\
\x05\x38\x0b\0\0\x1b\x2e\x01\x11\x01\x12\x06\x40\x18\x97\x42\x19\x03\x0e\x3a\
\x0b\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\0\x1c\x1d\x01\x31\x13\x11\x01\x12\x06\
\x58\x0b\x59\x0b\x57\x0b\0\0\x1d\x34\0\x02\x18\x31\x13\0\0\x1e\x34\0\x02\x17\
\x31\x13\0\0\x1f\x0a\0\x31\x13\x11\x01\0\0\0\x4f\x03\0\0\x04\0\0\0\0\0\x08\x01\
\0\0\0\0\x1d\0\x2c\0\0\0\0\0\0\0\x4f\0\0\0\0\0\0\0\0\0\0\0\xd0\x01\0\0\x02\xd0\
\0\0\0\x3f\0\0\0\x02\x1c\x09\x03\0\0\0\0\0\0\0\0\x03\x64\0\0\0\x2a\x01\0\0\x04\
\x01\x07\x04\xe2\0\0\0\x01\x04\xf6\0\0\0\x02\x04\x07\x01\0\0\x03\x04\x18\x01\0\
\0\x04\0\x05\xd5\0\0\0\x07\x04\x02\x3c\x01\0\0\x80\0\0\0\x02\x1d\x09\x03\0\0\0\
\0\0\0\0\0\x05\x44\x01\0\0\x05\x04\x02\x48\x01\0\0\x9c\0\0\0\x02\x4e\x09\x03\0\
\0\0\0\0\0\0\0\x06\xa8\0\0\0\x07\xaf\0\0\0\x0d\0\x05\x50\x01\0\0\x06\x01\x08\
\x55\x01\0\0\x08\x07\x02\x69\x01\0\0\xcb\0\0\0\x02\x0d\x09\x03\0\0\0\0\0\0\0\0\
\x09\x20\x02\x08\x0a\xd0\0\0\0\0\x01\0\0\x02\x09\0\x0a\x77\x01\0\0\x11\x01\0\0\
\x02\x0a\x08\x0a\x80\x01\0\0\x22\x01\0\0\x02\x0b\x10\x0a\x8b\x01\0\0\x33\x01\0\
\0\x02\x0c\x18\0\x0b\x05\x01\0\0\x06\x80\0\0\0\x07\xaf\0\0\0\x06\0\x0b\x16\x01\
\0\0\x06\x80\0\0\0\x07\xaf\0\0\0\x04\0\x0b\x27\x01\0\0\x06\x80\0\0\0\x07\xaf\0\
\0\0\x18\0\x0b\x38\x01\0\0\x06\x80\0\0\0\x07\xaf\0\0\0\x01\0\x02\x97\x01\0\0\
\x59\x01\0\0\x02\x14\x09\x03\0\0\0\0\0\0\0\0\x09\x20\x02\x0f\x0a\xd0\0\0\0\0\
\x01\0\0\x02\x10\0\x0a\x77\x01\0\0\x11\x01\0\0\x02\x11\x08\x0a\x80\x01\0\0\x22\
\x01\0\0\x02\x12\x10\x0a\x8b\x01\0\0\x33\x01\0\0\x02\x13\x18\0\x02\xa6\x01\0\0\
\xa3\x01\0\0\x02\x1a\x09\x03\0\0\0\0\0\0\0\0\x09\x18\x02\x16\x0a\xd0\0\0\0\x33\
\x01\0\0\x02\x17\0\x0a\x77\x01\0\0\x11\x01\0\0\x02\x18\x08\x0a\x80\x01\0\0\x11\
\x01\0\0\x02\x19\x10\0\x0c\xad\x01\0\0\xd7\x01\0\0\x04\xce\x0d\xdc\x01\0\0\x0b\
\xe1\x01\0\0\x0e\xe6\x01\0\0\x0f\x64\0\0\0\xc6\x01\0\0\x03\x1b\x10\xcc\x01\0\0\
\xfd\x01\0\0\x04\x72\x01\x0d\x02\x02\0\0\x0b\x07\x02\0\0\x0e\x0c\x02\0\0\x0f\
\x17\x02\0\0\xf8\x01\0\0\x03\x1f\x05\xe5\x01\0\0\x07\x08\x0c\xfe\x01\0\0\x29\
\x02\0\0\x04\x38\x0d\x2e\x02\0\0\x0b\x33\x02\0\0\x11\x43\x02\0\0\x12\x43\x02\0\
\0\x12\x44\x02\0\0\0\x13\x0b\x49\x02\0\0\x14\x15\x12\x02\0\0\x02\x20\x80\0\0\0\
\x01\x16\x20\x02\0\0\x02\x20\xa0\x02\0\0\x17\x24\x02\0\0\x02\x23\xe6\x01\0\0\
\x17\x29\x02\0\0\x02\x23\xe6\x01\0\0\x17\x34\x02\0\0\x02\x24\xa5\x02\0\0\x17\
\x3e\x02\0\0\x02\x22\xaa\x02\0\0\x17\x6c\x02\0\0\x02\x22\xaa\x02\0\0\x18\x76\
\x02\0\0\x02\x3e\0\x0b\x17\x02\0\0\x0b\xe6\x01\0\0\x0b\xaf\x02\0\0\x19\x57\x02\
\0\0\x18\x05\xc3\x1b\x1a\x47\x02\0\0\x0c\x02\0\0\x05\xc4\x1b\0\x1a\x3c\x01\0\0\
\x0c\x02\0\0\x05\xc5\x1b\x08\x1a\x4f\x02\0\0\x0c\x02\0\0\x05\xc6\x1b\x10\0\x1b\
\0\0\0\0\0\0\0\0\xd0\x01\0\0\x01\x5a\x7d\x02\0\0\x02\x20\x80\0\0\0\x16\x20\x02\
\0\0\x02\x20\xa0\x02\0\0\x1c\x4a\x02\0\0\x08\0\0\0\0\0\0\0\xb8\x01\0\0\x02\x20\
\x05\x1d\x02\x91\0\x61\x02\0\0\x1d\x02\x91\x04\x6c\x02\0\0\x1e\0\0\0\0\x77\x02\
\0\0\x1e\x23\0\0\0\x82\x02\0\0\x1e\x46\0\0\0\x8d\x02\0\0\x1f\x98\x02\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\x73\x69\x6f\x6e\x20\x31\
\x37\x2e\x30\x2e\x36\x20\x28\x46\x65\x64\x6f\x72\x61\x20\x31\x37\x2e\x30\x2e\
\x36\x2d\x32\x2e\x66\x63\x33\x39\x29\0\x75\x74\x69\x6c\x2f\x62\x70\x66\x5f\x73\
\x6b\x65\x6c\x2f\x62\x70\x65\x72\x66\x5f\x66\x6f\x6c\x6c\x6f\x77\x65\x72\x2e\
\x62\x70\x66\x2e\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\
\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\
\x2d\x72\x63\x37\x2d\x32\x31\x32\x2d\x67\x34\x61\x35\x64\x66\x33\x37\x39\x36\
\x34\x36\x37\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x30\x2e\
\x72\x63\x37\x2e\x32\x30\x32\x34\x31\x31\x31\x37\x67\x74\x34\x61\x35\x64\x66\
\x33\x37\x39\x2e\x32\x36\x33\x2e\x76\x61\x6e\x69\x6c\x6c\x61\x2e\x66\x63\x33\
\x39\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x70\x65\x72\x66\0\
\x74\x79\x70\x65\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x42\x50\
\x45\x52\x46\x5f\x46\x49\x4c\x54\x45\x52\x5f\x47\x4c\x4f\x42\x41\x4c\0\x42\x50\
\x45\x52\x46\x5f\x46\x49\x4c\x54\x45\x52\x5f\x43\x50\x55\0\x42\x50\x45\x52\x46\
\x5f\x46\x49\x4c\x54\x45\x52\x5f\x50\x49\x44\0\x42\x50\x45\x52\x46\x5f\x46\x49\
\x4c\x54\x45\x52\x5f\x54\x47\x49\x44\0\x62\x70\x65\x72\x66\x5f\x66\x69\x6c\x74\
\x65\x72\x5f\x74\x79\x70\x65\0\x65\x6e\x61\x62\x6c\x65\x64\0\x69\x6e\x74\0\x4c\
\x49\x43\x45\x4e\x53\x45\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\
\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x64\x69\x66\x66\x5f\x72\x65\x61\
\x64\x69\x6e\x67\x73\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\
\x5f\x73\x69\x7a\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x61\x63\
\x63\x75\x6d\x5f\x72\x65\x61\x64\x69\x6e\x67\x73\0\x66\x69\x6c\x74\x65\x72\0\
\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x6d\x70\x5f\x70\x72\x6f\x63\x65\x73\x73\
\x6f\x72\x5f\x69\x64\0\x5f\x5f\x75\x33\x32\0\x62\x70\x66\x5f\x67\x65\x74\x5f\
\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\0\x75\x6e\x73\
\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x5f\x5f\x75\x36\
\x34\0\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\
\x6d\0\x5f\x5f\x5f\x5f\x66\x65\x78\x69\x74\x5f\x58\x58\x58\0\x63\x74\x78\0\x7a\
\x65\x72\x6f\0\x66\x69\x6c\x74\x65\x72\x5f\x6b\x65\x79\0\x61\x63\x63\x75\x6d\
\x5f\x6b\x65\x79\0\x64\x69\x66\x66\x5f\x76\x61\x6c\0\x63\x6f\x75\x6e\x74\x65\
\x72\0\x72\x75\x6e\x6e\x69\x6e\x67\0\x62\x70\x66\x5f\x70\x65\x72\x66\x5f\x65\
\x76\x65\x6e\x74\x5f\x76\x61\x6c\x75\x65\0\x61\x63\x63\x75\x6d\x5f\x76\x61\x6c\
\0\x64\x6f\x5f\x61\x64\x64\0\x66\x65\x78\x69\x74\x5f\x58\x58\x58\0\x9f\xeb\x01\
\0\x18\0\0\0\0\0\0\0\xb4\x02\0\0\xb4\x02\0\0\xfa\x03\0\0\0\0\0\0\0\0\0\x02\x03\
\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\
\0\0\0\x04\0\0\0\x06\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\
\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\
\0\0\0\0\x02\x08\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x18\0\0\0\
\0\0\0\0\0\0\0\x02\x0a\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\
\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\
\0\0\0\x40\0\0\0\x27\0\0\0\x07\0\0\0\x80\0\0\0\x32\0\0\0\x09\0\0\0\xc0\0\0\0\
\x3e\0\0\0\0\0\0\x0e\x0b\0\0\0\x01\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\
\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x27\0\0\0\x07\0\0\0\x80\0\0\
\0\x32\0\0\0\x09\0\0\0\xc0\0\0\0\x4c\0\0\0\0\0\0\x0e\x0d\0\0\0\x01\0\0\0\0\0\0\
\0\x03\0\0\x04\x18\0\0\0\x19\0\0\0\x09\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\x40\0\
\0\0\x27\0\0\0\x05\0\0\0\x80\0\0\0\x5b\0\0\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\x02\x12\0\0\0\x62\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\
\0\x0d\x02\0\0\0\x75\0\0\0\x11\0\0\0\x79\0\0\0\x01\0\0\x0c\x13\0\0\0\x78\x03\0\
\0\x04\0\0\x06\x04\0\0\0\x8a\x03\0\0\x01\0\0\0\x9e\x03\0\0\x02\0\0\0\xaf\x03\0\
\0\x03\0\0\0\xc0\x03\0\0\x04\0\0\0\x19\0\0\0\0\0\0\x0e\x15\0\0\0\x01\0\0\0\xd2\
\x03\0\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\xda\x03\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\
\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x18\0\0\0\x04\0\0\0\x0d\0\0\0\xdf\x03\0\0\0\0\0\
\x0e\x19\0\0\0\x01\0\0\0\xe7\x03\0\0\x02\0\0\x0f\0\0\0\0\x16\0\0\0\0\0\0\0\x04\
\0\0\0\x17\0\0\0\0\0\0\0\x04\0\0\0\xec\x03\0\0\x03\0\0\x0f\0\0\0\0\x0c\0\0\0\0\
\0\0\0\x20\0\0\0\x0e\0\0\0\0\0\0\0\x20\0\0\0\x10\0\0\0\0\0\0\0\x18\0\0\0\xf2\
\x03\0\0\x01\0\0\x0f\0\0\0\0\x1a\0\0\0\0\0\0\0\x0d\0\0\0\0\x69\x6e\x74\0\x5f\
\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\
\x79\x70\x65\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\x73\
\x69\x7a\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x64\x69\x66\x66\
\x5f\x72\x65\x61\x64\x69\x6e\x67\x73\0\x61\x63\x63\x75\x6d\x5f\x72\x65\x61\x64\
\x69\x6e\x67\x73\0\x66\x69\x6c\x74\x65\x72\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x66\x65\x78\x69\x74\
\x5f\x58\x58\x58\0\x66\x65\x78\x69\x74\x2f\x58\x58\x58\0\x2f\x62\x75\x69\x6c\
\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\
\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2d\x72\x63\x37\x2d\x32\x31\x32\x2d\x67\
\x34\x61\x35\x64\x66\x33\x37\x39\x36\x34\x36\x37\x2f\x6c\x69\x6e\x75\x78\x2d\
\x36\x2e\x31\x32\x2e\x30\x2d\x30\x2e\x72\x63\x37\x2e\x32\x30\x32\x34\x31\x31\
\x31\x37\x67\x74\x34\x61\x35\x64\x66\x33\x37\x39\x2e\x32\x36\x33\x2e\x76\x61\
\x6e\x69\x6c\x6c\x61\x2e\x66\x63\x33\x39\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\
\x6f\x6f\x6c\x73\x2f\x70\x65\x72\x66\x2f\x75\x74\x69\x6c\x2f\x62\x70\x66\x5f\
\x73\x6b\x65\x6c\x2f\x62\x70\x65\x72\x66\x5f\x66\x6f\x6c\x6c\x6f\x77\x65\x72\
\x2e\x62\x70\x66\x2e\x63\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\
\x66\x65\x78\x69\x74\x5f\x58\x58\x58\x29\0\x09\x5f\x5f\x75\x33\x32\x20\x66\x69\
\x6c\x74\x65\x72\x5f\x6b\x65\x79\x2c\x20\x7a\x65\x72\x6f\x20\x3d\x20\x30\x3b\0\
\x09\x69\x66\x20\x28\x21\x65\x6e\x61\x62\x6c\x65\x64\x29\0\x09\x73\x77\x69\x74\
\x63\x68\x20\x28\x74\x79\x70\x65\x29\x20\x7b\0\x09\x09\x66\x69\x6c\x74\x65\x72\
\x5f\x6b\x65\x79\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x6d\x70\x5f\
\x70\x72\x6f\x63\x65\x73\x73\x6f\x72\x5f\x69\x64\x28\x29\x3b\0\x09\x09\x66\x69\
\x6c\x74\x65\x72\x5f\x6b\x65\x79\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\
\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\
\x3e\x3e\x20\x33\x32\x3b\0\x09\x09\x66\x69\x6c\x74\x65\x72\x5f\x6b\x65\x79\x20\
\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\
\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\x26\x20\x30\x78\x66\x66\x66\x66\x66\
\x66\x66\x66\x3b\0\x09\x61\x63\x63\x75\x6d\x5f\x6b\x65\x79\x20\x3d\x20\x62\x70\
\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\
\x66\x69\x6c\x74\x65\x72\x2c\x20\x26\x66\x69\x6c\x74\x65\x72\x5f\x6b\x65\x79\
\x29\x3b\0\x09\x69\x66\x20\x28\x21\x61\x63\x63\x75\x6d\x5f\x6b\x65\x79\x29\0\
\x09\x64\x69\x66\x66\x5f\x76\x61\x6c\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\
\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x64\x69\x66\x66\x5f\
\x72\x65\x61\x64\x69\x6e\x67\x73\x2c\x20\x26\x7a\x65\x72\x6f\x29\x3b\0\x09\x69\
\x66\x20\x28\x21\x64\x69\x66\x66\x5f\x76\x61\x6c\x29\0\x09\x61\x63\x63\x75\x6d\
\x5f\x76\x61\x6c\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\
\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x61\x63\x63\x75\x6d\x5f\x72\x65\x61\x64\
\x69\x6e\x67\x73\x2c\x20\x61\x63\x63\x75\x6d\x5f\x6b\x65\x79\x29\x3b\0\x09\x69\
\x66\x20\x28\x21\x61\x63\x63\x75\x6d\x5f\x76\x61\x6c\x29\0\x09\x61\x63\x63\x75\
\x6d\x5f\x76\x61\x6c\x2d\x3e\x63\x6f\x75\x6e\x74\x65\x72\x20\x2b\x3d\x20\x64\
\x69\x66\x66\x5f\x76\x61\x6c\x2d\x3e\x63\x6f\x75\x6e\x74\x65\x72\x3b\0\x09\x61\
\x63\x63\x75\x6d\x5f\x76\x61\x6c\x2d\x3e\x65\x6e\x61\x62\x6c\x65\x64\x20\x2b\
\x3d\x20\x64\x69\x66\x66\x5f\x76\x61\x6c\x2d\x3e\x65\x6e\x61\x62\x6c\x65\x64\
\x3b\0\x09\x61\x63\x63\x75\x6d\x5f\x76\x61\x6c\x2d\x3e\x72\x75\x6e\x6e\x69\x6e\
\x67\x20\x2b\x3d\x20\x64\x69\x66\x66\x5f\x76\x61\x6c\x2d\x3e\x72\x75\x6e\x6e\
\x69\x6e\x67\x3b\0\x62\x70\x65\x72\x66\x5f\x66\x69\x6c\x74\x65\x72\x5f\x74\x79\
\x70\x65\0\x42\x50\x45\x52\x46\x5f\x46\x49\x4c\x54\x45\x52\x5f\x47\x4c\x4f\x42\
\x41\x4c\0\x42\x50\x45\x52\x46\x5f\x46\x49\x4c\x54\x45\x52\x5f\x43\x50\x55\0\
\x42\x50\x45\x52\x46\x5f\x46\x49\x4c\x54\x45\x52\x5f\x50\x49\x44\0\x42\x50\x45\
\x52\x46\x5f\x46\x49\x4c\x54\x45\x52\x5f\x54\x47\x49\x44\0\x65\x6e\x61\x62\x6c\
\x65\x64\0\x63\x68\x61\x72\0\x4c\x49\x43\x45\x4e\x53\x45\0\x2e\x62\x73\x73\0\
\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\0\0\x9f\xeb\x01\0\x20\0\0\
\0\0\0\0\0\x14\0\0\0\x14\0\0\0\xbc\x01\0\0\xd0\x01\0\0\0\0\0\0\x08\0\0\0\x83\0\
\0\0\x01\0\0\0\0\0\0\0\x14\0\0\0\x10\0\0\0\x83\0\0\0\x1b\0\0\0\0\0\0\0\x8d\0\0\
\0\x31\x01\0\0\0\x80\0\0\x08\0\0\0\x8d\0\0\0\x49\x01\0\0\x14\x8c\0\0\x10\0\0\0\
\x8d\0\0\0\x66\x01\0\0\x07\x98\0\0\x28\0\0\0\x8d\0\0\0\x66\x01\0\0\x06\x98\0\0\
\x38\0\0\0\x8d\0\0\0\x75\x01\0\0\x0a\xa4\0\0\x58\0\0\0\x8d\0\0\0\x75\x01\0\0\
\x02\xa4\0\0\x78\0\0\0\x8d\0\0\0\x86\x01\0\0\x10\xb8\0\0\x88\0\0\0\x8d\0\0\0\
\x75\x01\0\0\x02\xa4\0\0\xa0\0\0\0\x8d\0\0\0\xb1\x01\0\0\x10\xd0\0\0\xa8\0\0\0\
\x8d\0\0\0\xb1\x01\0\0\x2b\xd0\0\0\xb8\0\0\0\x8d\0\0\0\xe2\x01\0\0\x10\xc4\0\0\
\xc0\0\0\0\x8d\0\0\0\0\0\0\0\0\0\0\0\xd0\0\0\0\x8d\0\0\0\x1a\x02\0\0\x0e\xe8\0\
\0\xf8\0\0\0\x8d\0\0\0\x52\x02\0\0\x06\xec\0\0\x08\x01\0\0\x8d\0\0\0\0\0\0\0\0\
\0\0\0\x10\x01\0\0\x8d\0\0\0\x63\x02\0\0\x0d\xfc\0\0\x30\x01\0\0\x8d\0\0\0\x9b\
\x02\0\0\x06\0\x01\0\x38\x01\0\0\x8d\0\0\0\xab\x02\0\0\x0e\x0c\x01\0\x58\x01\0\
\0\x8d\0\0\0\xe9\x02\0\0\x06\x10\x01\0\x60\x01\0\0\x8d\0\0\0\xfa\x02\0\0\x22\
\x1c\x01\0\x68\x01\0\0\x8d\0\0\0\xfa\x02\0\0\x15\x1c\x01\0\x80\x01\0\0\x8d\0\0\
\0\x24\x03\0\0\x15\x20\x01\0\x88\x01\0\0\x8d\0\0\0\x24\x03\0\0\x22\x20\x01\0\
\x90\x01\0\0\x8d\0\0\0\x24\x03\0\0\x15\x20\x01\0\xa0\x01\0\0\x8d\0\0\0\x4e\x03\
\0\0\x22\x24\x01\0\xa8\x01\0\0\x8d\0\0\0\x4e\x03\0\0\x15\x24\x01\0\xc0\x01\0\0\
\x8d\0\0\0\x31\x01\0\0\x05\x80\0\0\x0c\0\0\0\xff\xff\xff\xff\x04\0\x08\0\x08\
\x7c\x0b\0\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x01\0\0\0\0\0\0\xbc\x01\0\0\
\x04\0\x2e\x01\0\0\x08\x01\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\
\x75\x74\x69\x6c\x2f\x62\x70\x66\x5f\x73\x6b\x65\x6c\0\x2f\x75\x73\x72\x2f\x69\
\x6e\x63\x6c\x75\x64\x65\x2f\x61\x73\x6d\x2d\x67\x65\x6e\x65\x72\x69\x63\0\x6c\
\x69\x62\x62\x70\x66\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x62\x70\x66\0\x2f\x62\
\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\
\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2d\x72\x63\x37\x2d\x32\x31\
\x32\x2d\x67\x34\x61\x35\x64\x66\x33\x37\x39\x36\x34\x36\x37\x2f\x6c\x69\x6e\
\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x30\x2e\x72\x63\x37\x2e\x32\x30\x32\
\x34\x31\x31\x31\x37\x67\x74\x34\x61\x35\x64\x66\x33\x37\x39\x2e\x32\x36\x33\
\x2e\x76\x61\x6e\x69\x6c\x6c\x61\x2e\x66\x63\x33\x39\x2e\x78\x38\x36\x5f\x36\
\x34\x2f\x74\x6f\x6f\x6c\x73\0\0\x62\x70\x65\x72\x66\x5f\x75\x2e\x68\0\x01\0\0\
\x62\x70\x65\x72\x66\x5f\x66\x6f\x6c\x6c\x6f\x77\x65\x72\x2e\x62\x70\x66\x2e\
\x63\0\x01\0\0\x69\x6e\x74\x2d\x6c\x6c\x36\x34\x2e\x68\0\x02\0\0\x62\x70\x66\
\x5f\x68\x65\x6c\x70\x65\x72\x5f\x64\x65\x66\x73\x2e\x68\0\x03\0\0\x69\x6e\x63\
\x6c\x75\x64\x65\x2f\x75\x61\x70\x69\x2f\x6c\x69\x6e\x75\x78\x2f\x62\x70\x66\
\x2e\x68\0\x04\0\0\0\x04\x02\0\x09\x02\0\0\0\0\0\0\0\0\x03\x1f\x01\x05\x14\x0a\
\x23\x05\x07\x23\x05\x06\x06\x3c\x03\x5a\x20\x05\x0a\x06\x03\x29\x20\x05\x02\
\x06\x4a\x05\x10\x06\x4f\x06\x03\x52\x20\x05\x02\x06\x03\x29\x20\x05\x10\x03\
\x0b\x3c\x05\x2b\x06\x20\x05\x10\x06\x2b\x05\0\x06\x03\x4f\x20\x05\x0e\x06\x03\
\x3a\x2e\x05\x06\x59\x06\x03\x45\x20\x05\x0d\x06\x03\x3f\x2e\x05\x06\x4b\x05\
\x0e\x23\x05\x06\x4b\x05\x22\x23\x05\x15\x06\x20\x06\x3d\x05\x22\x06\x20\x05\
\x15\x20\x05\x22\x06\x2f\x05\x15\x06\x20\x05\x05\x06\x03\x57\x3c\x02\x02\0\x01\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbb\0\0\0\x04\0\xf1\xff\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x2c\x01\0\0\0\0\x03\0\xc0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x25\x01\0\0\0\0\
\x03\0\x88\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x34\x01\0\0\0\0\x03\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x1e\x01\0\0\0\0\x03\0\x78\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\
\x01\0\0\0\0\x03\0\xc0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\x01\0\0\0\0\x03\0\xb8\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x01\0\0\0\0\x03\0\xa0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x03\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x09\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x03\0\x11\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x13\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\xd0\
\x01\0\0\0\0\0\0\xa8\0\0\0\x11\0\x05\0\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x82\
\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x55\0\0\0\x11\0\x07\0\x40\
\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x3c\0\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x20\0\0\
\0\0\0\0\0\x2d\0\0\0\x11\0\x07\0\x20\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x01\x01\0\
\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\
\x10\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\0\x11\0\0\0\xd8\0\0\0\0\0\0\0\x01\0\0\0\
\x12\0\0\0\x10\x01\0\0\0\0\0\0\x01\0\0\0\x13\0\0\0\x38\x01\0\0\0\0\0\0\x01\0\0\
\0\x14\0\0\0\x06\0\0\0\0\0\0\0\x03\0\0\0\x0b\0\0\0\x0c\0\0\0\0\0\0\0\x03\0\0\0\
\x0c\0\0\0\x12\0\0\0\0\0\0\0\x03\0\0\0\x0c\0\0\0\x16\0\0\0\0\0\0\0\x03\0\0\0\
\x0e\0\0\0\x1a\0\0\0\0\0\0\0\x03\0\0\0\x0c\0\0\0\x1e\0\0\0\0\0\0\0\x02\0\0\0\
\x02\0\0\0\x2b\0\0\0\0\0\0\0\x03\0\0\0\x0c\0\0\0\x37\0\0\0\0\0\0\0\x02\0\0\0\
\x11\0\0\0\x44\0\0\0\0\0\0\0\x03\0\0\0\x0c\0\0\0\x4c\0\0\0\0\0\0\0\x03\0\0\0\
\x0c\0\0\0\x52\0\0\0\0\0\0\0\x03\0\0\0\x0c\0\0\0\x58\0\0\0\0\0\0\0\x03\0\0\0\
\x0c\0\0\0\x5e\0\0\0\0\0\0\0\x03\0\0\0\x0c\0\0\0\x65\0\0\0\0\0\0\0\x03\0\0\0\
\x0c\0\0\0\x6c\0\0\0\0\0\0\0\x03\0\0\0\x0c\0\0\0\x78\0\0\0\0\0\0\0\x02\0\0\0\
\x10\0\0\0\x81\0\0\0\0\0\0\0\x03\0\0\0\x0c\0\0\0\x88\0\0\0\0\0\0\0\x03\0\0\0\
\x0c\0\0\0\x94\0\0\0\0\0\0\0\x02\0\0\0\x15\0\0\0\xa9\0\0\0\0\0\0\0\x03\0\0\0\
\x0c\0\0\0\xb0\0\0\0\0\0\0\0\x03\0\0\0\x0c\0\0\0\xb7\0\0\0\0\0\0\0\x03\0\0\0\
\x0c\0\0\0\xc3\0\0\0\0\0\0\0\x02\0\0\0\x13\0\0\0\xd0\0\0\0\0\0\0\0\x03\0\0\0\
\x0c\0\0\0\xdc\0\0\0\0\0\0\0\x03\0\0\0\x0c\0\0\0\xe8\0\0\0\0\0\0\0\x03\0\0\0\
\x0c\0\0\0\xf4\0\0\0\0\0\0\0\x03\0\0\0\x0c\0\0\0\x45\x01\0\0\0\0\0\0\x03\0\0\0\
\x0c\0\0\0\x51\x01\0\0\0\0\0\0\x02\0\0\0\x14\0\0\0\x5e\x01\0\0\0\0\0\0\x03\0\0\
\0\x0c\0\0\0\x6a\x01\0\0\0\0\0\0\x03\0\0\0\x0c\0\0\0\x76\x01\0\0\0\0\0\0\x03\0\
\0\0\x0c\0\0\0\x82\x01\0\0\0\0\0\0\x03\0\0\0\x0c\0\0\0\x8f\x01\0\0\0\0\0\0\x03\
\0\0\0\x0c\0\0\0\x9b\x01\0\0\0\0\0\0\x02\0\0\0\x12\0\0\0\xa8\x01\0\0\0\0\0\0\
\x03\0\0\0\x0c\0\0\0\xb4\x01\0\0\0\0\0\0\x03\0\0\0\x0c\0\0\0\xc0\x01\0\0\0\0\0\
\0\x03\0\0\0\x0c\0\0\0\xcd\x01\0\0\0\0\0\0\x03\0\0\0\x0c\0\0\0\xeb\x01\0\0\0\0\
\0\0\x03\0\0\0\x0c\0\0\0\xf2\x01\0\0\0\0\0\0\x03\0\0\0\x0c\0\0\0\x11\x02\0\0\0\
\0\0\0\x03\0\0\0\x0c\0\0\0\x18\x02\0\0\0\0\0\0\x03\0\0\0\x0c\0\0\0\x1f\x02\0\0\
\0\0\0\0\x03\0\0\0\x0c\0\0\0\x4b\x02\0\0\0\0\0\0\x03\0\0\0\x0c\0\0\0\x57\x02\0\
\0\0\0\0\0\x03\0\0\0\x0c\0\0\0\x62\x02\0\0\0\0\0\0\x03\0\0\0\x0c\0\0\0\x6d\x02\
\0\0\0\0\0\0\x03\0\0\0\x0c\0\0\0\x78\x02\0\0\0\0\0\0\x03\0\0\0\x0c\0\0\0\x83\
\x02\0\0\0\0\0\0\x03\0\0\0\x0c\0\0\0\x8e\x02\0\0\0\0\0\0\x03\0\0\0\x0c\0\0\0\
\x99\x02\0\0\0\0\0\0\x03\0\0\0\x0c\0\0\0\xb0\x02\0\0\0\0\0\0\x03\0\0\0\x0c\0\0\
\0\xb9\x02\0\0\0\0\0\0\x03\0\0\0\x0c\0\0\0\xc6\x02\0\0\0\0\0\0\x03\0\0\0\x0c\0\
\0\0\xd3\x02\0\0\0\0\0\0\x03\0\0\0\x0c\0\0\0\xe1\x02\0\0\0\0\0\0\x02\0\0\0\x02\
\0\0\0\xef\x02\0\0\0\0\0\0\x03\0\0\0\x0c\0\0\0\xfa\x02\0\0\0\0\0\0\x03\0\0\0\
\x0c\0\0\0\x09\x03\0\0\0\0\0\0\x02\0\0\0\x02\0\0\0\x29\x03\0\0\0\0\0\0\x03\0\0\
\0\x0a\0\0\0\x32\x03\0\0\0\0\0\0\x03\0\0\0\x0a\0\0\0\x3b\x03\0\0\0\0\0\0\x03\0\
\0\0\x0a\0\0\0\x48\x03\0\0\0\0\0\0\x02\0\0\0\x02\0\0\0\x70\x02\0\0\0\0\0\0\x04\
\0\0\0\x11\0\0\0\x7c\x02\0\0\0\0\0\0\x04\0\0\0\x10\0\0\0\x94\x02\0\0\0\0\0\0\
\x04\0\0\0\x13\0\0\0\xa0\x02\0\0\0\0\0\0\x04\0\0\0\x14\0\0\0\xac\x02\0\0\0\0\0\
\0\x04\0\0\0\x12\0\0\0\xc4\x02\0\0\0\0\0\0\x04\0\0\0\x15\0\0\0\x2c\0\0\0\0\0\0\
\0\x04\0\0\0\x02\0\0\0\x40\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x50\0\0\0\0\0\0\0\
\x04\0\0\0\x02\0\0\0\x60\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x70\0\0\0\0\0\0\0\
\x04\0\0\0\x02\0\0\0\x80\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x90\0\0\0\0\0\0\0\
\x04\0\0\0\x02\0\0\0\xa0\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\xb0\0\0\0\0\0\0\0\
\x04\0\0\0\x02\0\0\0\xc0\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\xd0\0\0\0\0\0\0\0\
\x04\0\0\0\x02\0\0\0\xe0\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\xf0\0\0\0\0\0\0\0\
\x04\0\0\0\x02\0\0\0\0\x01\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x10\x01\0\0\0\0\0\0\
\x04\0\0\0\x02\0\0\0\x20\x01\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x30\x01\0\0\0\0\0\
\0\x04\0\0\0\x02\0\0\0\x40\x01\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x50\x01\0\0\0\0\
\0\0\x04\0\0\0\x02\0\0\0\x60\x01\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x70\x01\0\0\0\
\0\0\0\x04\0\0\0\x02\0\0\0\x80\x01\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x90\x01\0\0\
\0\0\0\0\x04\0\0\0\x02\0\0\0\xa0\x01\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\xb0\x01\0\
\0\0\0\0\0\x04\0\0\0\x02\0\0\0\xc0\x01\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\xd0\x01\
\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\xe0\x01\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x14\0\
\0\0\0\0\0\0\x03\0\0\0\x0d\0\0\0\x18\0\0\0\0\0\0\0\x02\0\0\0\x02\0\0\0\x3d\x01\
\0\0\0\0\0\0\x02\0\0\0\x02\0\0\0\x0f\x15\x13\x14\x12\0\x2e\x64\x65\x62\x75\x67\
\x5f\x61\x62\x62\x72\x65\x76\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\
\x54\x46\x2e\x65\x78\x74\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x61\x63\x63\
\x75\x6d\x5f\x72\x65\x61\x64\x69\x6e\x67\x73\0\x64\x69\x66\x66\x5f\x72\x65\x61\
\x64\x69\x6e\x67\x73\0\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\x72\0\x66\x69\x6c\
\x74\x65\x72\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\0\
\x2e\x6c\x6c\x76\x6d\x5f\x61\x64\x64\x72\x73\x69\x67\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x74\x79\x70\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\
\x6e\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x66\x72\x61\x6d\x65\0\
\x65\x6e\x61\x62\x6c\x65\x64\0\x2e\x64\x65\x62\x75\x67\x5f\x6c\x6f\x63\0\x62\
\x70\x65\x72\x66\x5f\x66\x6f\x6c\x6c\x6f\x77\x65\x72\x2e\x62\x70\x66\x2e\x63\0\
\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x66\x65\x78\x69\
\x74\x5f\x58\x58\x58\0\x2e\x72\x65\x6c\x66\x65\x78\x69\x74\x2f\x58\x58\x58\0\
\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\x4c\x49\x43\x45\x4e\x53\x45\0\x4c\x42\x42\
\x30\x5f\x39\0\x4c\x42\x42\x30\x5f\x38\0\x4c\x42\x42\x30\x5f\x37\0\x4c\x42\x42\
\x30\x5f\x36\0\x4c\x42\x42\x30\x5f\x34\0\x4c\x42\x42\x30\x5f\x31\x33\0\x4c\x42\
\x42\x30\x5f\x31\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xd0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7d\x1d\0\0\0\0\0\
\0\x3c\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\0\
\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xee\0\0\0\x01\0\0\0\x06\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xd0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xea\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xd8\x16\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x16\0\0\0\x03\0\0\0\x08\
\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x22\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x10\x02\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x7a\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\
\x02\0\0\0\0\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x27\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x02\0\0\0\0\0\
\0\x58\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x02\0\0\0\0\0\0\x69\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe1\x02\0\0\0\0\0\0\x6d\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x4e\x04\0\0\0\0\0\0\x53\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x5c\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x28\x17\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\x16\0\0\0\x0a\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x4a\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa1\
\x07\0\0\0\0\0\0\x87\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\xfc\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x0a\0\0\0\0\
\0\0\xc6\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\
\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x1b\0\0\0\0\0\0\x60\0\0\
\0\0\0\0\0\x16\0\0\0\x0d\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x19\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x10\0\0\0\0\0\0\xf0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x09\0\0\0\x40\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x1b\0\0\0\0\0\0\xc0\x01\0\0\0\0\0\0\x16\0\0\
\0\x0f\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x9b\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xe0\x12\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x97\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x48\x1d\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x16\0\0\0\x11\0\0\0\x08\0\0\0\
\0\0\0\0\x10\0\0\0\0\0\0\0\x8b\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\x13\0\0\0\0\0\0\xc0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x87\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x1d\0\0\
\0\0\0\0\x10\0\0\0\0\0\0\0\x16\0\0\0\x13\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\
\0\0\x6c\0\0\0\x03\x4c\xff\x6f\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\x78\x1d\0\0\0\
\0\0\0\x05\0\0\0\0\0\0\0\x16\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xd8\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\x14\0\0\0\0\0\0\x10\
\x02\0\0\0\0\0\0\x01\0\0\0\x0f\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct bperf_follower_bpf *bperf_follower_bpf::open(const struct bpf_object_open_opts *opts) { return bperf_follower_bpf__open_opts(opts); }
struct bperf_follower_bpf *bperf_follower_bpf::open_and_load() { return bperf_follower_bpf__open_and_load(); }
int bperf_follower_bpf::load(struct bperf_follower_bpf *skel) { return bperf_follower_bpf__load(skel); }
int bperf_follower_bpf::attach(struct bperf_follower_bpf *skel) { return bperf_follower_bpf__attach(skel); }
void bperf_follower_bpf::detach(struct bperf_follower_bpf *skel) { bperf_follower_bpf__detach(skel); }
void bperf_follower_bpf::destroy(struct bperf_follower_bpf *skel) { bperf_follower_bpf__destroy(skel); }
const void *bperf_follower_bpf::elf_bytes(size_t *sz) { return bperf_follower_bpf__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
bperf_follower_bpf__assert(struct bperf_follower_bpf *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->type) == 4, "unexpected size of 'type'");
	_Static_assert(sizeof(s->bss->enabled) == 4, "unexpected size of 'enabled'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __BPERF_FOLLOWER_BPF_SKEL_H__ */
